Subject: [PATCH 5/6] target-arm/kvm64: fix save/restore of SPSR regs

From: [email-masked] (Alex Bennée)
Date: Mon, 09 Mar 2015 16:25:58 +0000

Peter Maydell <[email-masked]> writes:

> On 9 March 2015 at 21:56, Christoffer Dall <[email-masked]> wrote:
>> this function, however, is not used only when migration, but should
>> generally cover the case where you want to synchronize QEMU's state into
>> KVM's state, right?  So while it may not be harmful in currently
>> supported use cases, is there ever a situation where (is_a64(env) && el
>> == 0) and env->spsr != banked_spsr[el], and where env->spsr is
>> out-of-date?
>
> If EL == 0 then you can't access any SPSR, so env->spsr is by
> definition out of date.

Indeed and in v2 the whole thing is wrapped in if (el > 0)

> -- PMM

-- 
Alex Benn?e